# Ad Exchange Buyer API . directDeals

## Instance Methods

Gets one direct deal by ID.

Retrieves the authenticated user's list of direct deals.

### Method Details

`get(id)`

    Gets one direct deal by ID.

    Args:
      id: string, The direct deal id (required)

    Returns:
      An object of the form:

        { # The configuration data for an Ad Exchange direct deal.
        "advertiser": "A String", # The name of the advertiser this deal is for.
        "kind": "adexchangebuyer#directDeal", # Resource type.
        "privateExchangeMinCpm": "A String", # The minimum price for this direct deal. In cpm micros of currency according to currency_code. If set, then this deal is eligible for the private exchange tier of buying (below fixed price priority, run as a second price auction).
        "currencyCode": "A String", # The currency code that applies to the fixed_cpm value. If not set then assumed to be USD.
        "fixedCpm": "A String", # The fixed price for this direct deal. In cpm micros of currency according to currency_code. If set, then this deal is eligible for the fixed price tier of buying (highest priority, pay exactly the configured fixed price).
        "startTime": "A String", # Start time for when this deal becomes active. If not set then this deal is active immediately upon creation. In seconds since the epoch.
        "endTime": "A String", # End time for when this deal stops being active. If not set then this deal is valid until manually disabled by the publisher. In seconds since the epoch.
        "sellerNetwork": "A String", # The name of the publisher offering this direct deal.
        "id": "A String", # Deal id.
        "accountId": 42, # The account id of the buyer this deal is for.
      }

`list()`

    Retrieves the authenticated user's list of direct deals.

    Args:

    Returns:
      An object of the form:

        { # A direct deals feed lists Direct Deals the Ad Exchange buyer account has access to. This includes direct deals set up for the buyer account as well as its merged stream seats.
        "kind": "adexchangebuyer#directDealsList", # Resource type.
        "directDeals": [ # A list of direct deals relevant for your account.
          { # The configuration data for an Ad Exchange direct deal.
            "advertiser": "A String", # The name of the advertiser this deal is for.
            "kind": "adexchangebuyer#directDeal", # Resource type.
            "privateExchangeMinCpm": "A String", # The minimum price for this direct deal. In cpm micros of currency according to currency_code. If set, then this deal is eligible for the private exchange tier of buying (below fixed price priority, run as a second price auction).
            "currencyCode": "A String", # The currency code that applies to the fixed_cpm value. If not set then assumed to be USD.
            "fixedCpm": "A String", # The fixed price for this direct deal. In cpm micros of currency according to currency_code. If set, then this deal is eligible for the fixed price tier of buying (highest priority, pay exactly the configured fixed price).
            "startTime": "A String", # Start time for when this deal becomes active. If not set then this deal is active immediately upon creation. In seconds since the epoch.
            "endTime": "A String", # End time for when this deal stops being active. If not set then this deal is valid until manually disabled by the publisher. In seconds since the epoch.
            "sellerNetwork": "A String", # The name of the publisher offering this direct deal.
            "id": "A String", # Deal id.
            "accountId": 42, # The account id of the buyer this deal is for.
          },
        ],
      }